Skip to main content
POST
/
v6
/
reports
/
balanceSheet
Balance Sheet
curl --request POST \
  --url https://sandbox.tight.com/v6/reports/balanceSheet \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "grouping": {
    "date": "MONTHLY",
    "classSegmentLabelId": "cll_439512"
  },
  "filters": {
    "beginDate": "2025-01-01",
    "endDate": "2025-12-31",
    "classSegmentIds": [
      "<string>"
    ]
  },
  "exportType": "JSON",
  "recipients": {
    "emails": [
      "<string>"
    ],
    "ccEmails": [
      "<string>"
    ],
    "bccEmails": [
      "<string>"
    ]
  }
}
'
{
  "result": "SUCCESS",
  "data": {
    "json": [
      {
        "name": "2025-01-01 to 2025-12-31",
        "period": {
          "beginDate": "2025-01-01",
          "endDate": "2025-12-31"
        },
        "assets": {
          "name": "Assets",
          "total": 5669.87,
          "children": [
            {
              "name": "Current Assets",
              "accountId": "gla_167242942",
              "accountNo": "11000",
              "total": 5432.62,
              "children": [
                {
                  "name": "TD Bank - Checking *0619",
                  "accountId": "gla_167243195",
                  "accountNo": "11001",
                  "total": 4539.43
                },
                {
                  "name": "Charles Schwab - Checking *4692",
                  "accountId": "gla_167243196",
                  "accountNo": "11002",
                  "total": 20713.9
                },
                {
                  "name": "Stripe",
                  "accountId": "gla_167245693",
                  "accountNo": "11003",
                  "total": 26.69
                },
                {
                  "name": "fewfwe *1234",
                  "accountId": "gla_170556888",
                  "accountNo": "11005",
                  "total": 3.5
                },
                {
                  "name": "Accounts Receivable",
                  "accountId": "gla_167242948",
                  "accountNo": "11500",
                  "total": 91.1
                },
                {
                  "name": "Undeposited Funds",
                  "accountId": "gla_167242952",
                  "accountNo": "11700",
                  "total": 58
                }
              ]
            },
            {
              "name": "Fixed Assets",
              "accountId": "gla_167242953",
              "accountNo": "15000",
              "total": 237.25,
              "children": [
                {
                  "name": "Automobile",
                  "accountId": "gla_167242955",
                  "accountNo": "15100",
                  "total": 163.71,
                  "children": [
                    {
                      "name": "Automobile Cost",
                      "accountId": "gla_167242955",
                      "accountNo": "15110",
                      "total": 163.71
                    }
                  ]
                },
                {
                  "name": "Computers, Servers And Related Hardware",
                  "accountId": "gla_167242958",
                  "accountNo": "15200",
                  "total": 28.04,
                  "children": [
                    {
                      "name": "Computers, Servers And Related Hardware Cost",
                      "accountId": "gla_167242958",
                      "accountNo": "15210",
                      "total": 28.04
                    }
                  ]
                },
                {
                  "name": "Furniture and Equipment",
                  "accountId": "gla_167242961",
                  "accountNo": "15300",
                  "total": 45.5,
                  "children": [
                    {
                      "name": "Furniture and Equipment Cost",
                      "accountId": "gla_167242961",
                      "accountNo": "15310",
                      "total": 45.5
                    }
                  ]
                }
              ]
            },
            {
              "name": "Other Assets",
              "accountId": "gla_167242966",
              "accountNo": "18000",
              "total": 0,
              "children": []
            }
          ]
        },
        "liabilitiesAndEquity": {
          "name": "Total Liabilities & Equity",
          "total": 5669.87,
          "liabilities": {
            "name": "Liabilities",
            "total": 5441.65,
            "children": [
              {
                "name": "Current Liabilities",
                "accountId": "gla_167242969",
                "accountNo": "21000",
                "total": 5441.65,
                "children": [
                  {
                    "name": "American Express - Credit Card *3008",
                    "accountId": "gla_167243197",
                    "accountNo": "21001",
                    "total": 1228.88
                  },
                  {
                    "name": "Wells Fargo - Credit Card *1585",
                    "accountId": "gla_167243198",
                    "accountNo": "21002",
                    "total": 9114.76
                  },
                  {
                    "name": "American Express - Platinum Card® *2008",
                    "accountId": "gla_174147300",
                    "accountNo": "21004",
                    "total": -4901.99
                  }
                ]
              },
              {
                "name": "Long-term Liabilities",
                "accountId": "gla_167242977",
                "accountNo": "25000",
                "total": 0,
                "children": []
              }
            ]
          },
          "equity": {
            "name": "Equity",
            "total": 228.22,
            "children": [
              {
                "name": "Current Income",
                "accountNo": "31001",
                "total": 16411.65
              },
              {
                "name": "Capital Stock",
                "accountId": "gla_171128184",
                "accountNo": "32000",
                "total": -7128.72
              },
              {
                "name": "Shareholder Distributions",
                "accountId": "gla_171128186",
                "accountNo": "36000",
                "total": 60
              },
              {
                "name": "Personal Income & Expenses",
                "accountId": "gla_171128187",
                "accountNo": "36500",
                "total": -118.91
              },
              {
                "name": "Retained Earnings",
                "accountId": "gla_171128188",
                "accountNo": "37000",
                "total": 11004.2
              }
            ]
          }
        }
      }
    ],
    "meta": {
      "title": "Balance Sheet",
      "generatedOn": "2025-12-03T10:30:00",
      "generatedBy": "Joe LaForgia",
      "footerLine": "Generated on 12/03/2025 at 7:45:55 PM by Joseph LaForgia"
    }
  },
  "error": []
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, see Authentication for more detail.

Body

application/json
grouping
object

Grouping options for the balance sheet report

filters
object

Filters to apply to the balance sheet report

exportType
enum<string>

Export format for the balance sheet report

Available options:
JSON,
PDF,
XLSX
recipients
object

Email recipients for the balance sheet report

Response

Success

result
enum<string>

The result of the action performed.

Available options:
SUCCESS,
FAILURE
data
object

The data generated by the action performed.